Bug 186865 - Enable Comic support in Evince
Enable Comic support in Evince
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2006-03-27 00:20 EST by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.9.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-11 09:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to enable comic support (2.92 KB, patch)
2006-03-27 00:20 EST, Brian Pepple
no flags Details | Diff
Updated patch to enable comic support (2.15 KB, patch)
2006-05-26 11:23 EDT, Brian Pepple
no flags Details | Diff

  None (edit)
Description Brian Pepple 2006-03-27 00:20:47 EST
Description of problem: Comic support hasn't been enabled in Evince.  This
doesn't require any additional Build Requirements to enable.

Version-Release number of selected component (if applicable): evince-0.5.1-3

I'll attach a patch for the spec file, which will enable this feature.  In
addition, I also remove some Build Requirements that aren't needed since they
are pulled in by other packages.

Duplicate BuildRequires: scrollkeeper (by nautilus), gtk2-devel (by
libgnomeprintui22-devel), libglade2-devel (by libgnomeui-devel),
gnome-vfs2-devel (by libgnomeui-devel)
Comment 1 Brian Pepple 2006-03-27 00:20:48 EST
Created attachment 126785 [details]
Patch to enable comic support
Comment 2 Tom "spot" Callaway 2006-05-26 11:12:30 EDT
This is increasingly valuable as the only other "comic book viewer" in Fedora
Extras is having to be pulled from the repository due to new incompatible
licensing. :/
Comment 3 Brian Pepple 2006-05-26 11:23:59 EDT
Created attachment 130029 [details]
Updated patch to enable comic support

Here's an updated patch.
Comment 4 Brian Pepple 2006-08-17 10:47:05 EDT
Any chance of getting this applied before FC6?
Comment 5 Brian Pepple 2006-10-25 12:23:50 EDT
%{_sysconfdir}/gconf/schemas/evince-thumbnailer-comics.schemas \
Comment 6 Bastien Nocera 2007-05-09 11:38:47 EDT
I filed an upstream bug about it being enabled by default as well:
Comment 7 vfiend 2007-06-10 04:25:32 EDT
Is there any reason this can't just be enabled in Fedora before upstream decides
to enable it themselves? I see that epiphany-extensions now seems to ship
adblock which is (was?) disabled upstream..
Comment 8 Tom "spot" Callaway 2007-06-10 22:36:08 EDT
Agreed. This should be something we can enable in the Fedora package without
being concerned about upstream's failure to enable it by default.
Comment 9 Bastien Nocera 2007-06-11 06:42:50 EDT
Build actually fails from stock:

I'll cook up a patch and push it upstream.
Comment 10 Bastien Nocera 2007-06-11 09:15:36 EDT
Problem already fixed upstream, rawhide packages available at:

Not sure it's worth doing a F-7 update, let me know.
Comment 11 vfiend 2007-06-11 20:04:58 EDT
Well, I'd prefer not having to wrestle with Comix and an F7 update would be good
to me. I don't know how useful this is to other people though.
Comment 12 Bastien Nocera 2007-06-13 06:05:57 EDT
evince-0.8.0-6.fc7 has been request for a push to updates-testing. Let me know
how it pans out.
Comment 13 Fedora Update System 2007-06-13 17:03:08 EDT
evince-0.8.0-6.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 14 vfiend 2007-06-13 21:56:13 EDT
Works perfectly, even the thumbnailing in nautilus, thanks!

Note You need to log in before you can comment on or make changes to this bug.